Skip to main content
POST
/
v1
/
agents
/
{agentId}
/
telephony
/
phone-numbers
/
{phoneNumber}
Import a single phone number
curl --request POST \
  --url https://api.us.poly.ai/v1/agents/{agentId}/telephony/phone-numbers/{phoneNumber} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "clientEnv": "live"
}
'
{
  "imported": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

agentId
string
required
phoneNumber
string
required

Body

application/json

Import settings for a single phone number, including which environment it routes to.

clientEnv
string
default:live

Client environment (sandbox, pre-release, live)

Response

Successful response

The phone number that was imported.

imported
string
required

The imported phone number

Last modified on April 22, 2026